Bug 43828 - OpenOffice setup fails due to missing setup.ins
Summary: OpenOffice setup fails due to missing setup.ins
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-10-08 15:40 UTC by Fernan Aguero
Modified: 2002-10-09 09:21 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fernan Aguero 2002-10-08 15:40:01 UTC
	I've succesfully built OpenOffice from sources (1.0.1). However, at the end
	of the installation, an error appears. Subsequent attempts to run
	openoffice-setup or the setup executable under /usr/local/OpenOffice.org1.0
	choke on the lack of a setup.ins file under
	/usr/local/OpenOffice.org1.0/program. I've searched both the openoffice
	tarball and my disk and found no such file anywhere.

	Is there any workaround to save me from rebuild/reinstall?. May I get a
	setup.ins file elsewhere?

How-To-Repeat: 	Not sure if this happens to everyone. Just make install, and try to run any
	setup executable.
Comment 1 Fernan Aguero 2002-10-08 16:10:14 UTC
+----[ Asi hablaba To FreeBSD-gnats-submit@FreeBSD.org (fernan@iib.unsam.edu.ar):
|
| 
| >Number:         43828
| >Category:       ports
| >Synopsis:       OpenOffice setup fails due to missing setup.ins
| >Confidential:   no
| >Severity:       serious
| >Priority:       high
| >Responsible:    freebsd-ports
| >State:          open
| >Quarter:        
| >Keywords:       
| >Date-Required:
| >Class:          sw-bug
| >Submitter-Id:   current-users
| >Arrival-Date:   Tue Oct 08 07:40:01 PDT 2002
| >Closed-Date:
| >Last-Modified:
| >Originator:     Fernan Aguero
| >Release:        FreeBSD 4.6.2-RELEASE-p2 i386
| >Organization:
| IIB-UNSAM
| >Environment:
| System: FreeBSD pi.iib.unsam.edu.ar 4.6.2-RELEASE-p2 FreeBSD 4.6.2-RELEASE-p2 #0: Mon Sep 30 18:27:57 ART 2002 root@pi.iib.unsam.edu.ar:/usr/obj/usr/src/sys/PI i386
| 
| 
| >Description:
| 	I've succesfully built OpenOffice from sources (1.0.1). However, at the end
| 	of the installation, an error appears. 

Sorry, forgot to add the error, though is uninformative (at
least to me): here are the last lines of output of the
install:

...
...
===>  Installing for openoffice-1.0.1_3

Initializing installation program..........
*** Error code 1 (ignored)
===>   Generating temporary packing list
===>  Add wrapper scripts
===>   Registering installation for openoffice-1.0.1_3

The only other place where an error code 1 is reported is at
the following:
mv: rename /usr/local/lib/ieee to /usr/local/lib/gcc-lib/i386-portbld-freebsd4.6.2/3.1.1/ieee: No such file or directory *** Error code 1 (ignored)

[ rest of message omitted ]

|
+----]

-- 
F e r n a n   A g u e r o
http://genoma.unsam.edu.ar/~fernan
Comment 2 never 2002-10-08 17:57:54 UTC
Hello, Fernan Aguero!

On Tue, Oct 08, 2002 at 11:39:00AM -0300, you wrote:

> >Number:         43828
> >Category:       ports
> >Synopsis:       OpenOffice setup fails due to missing setup.ins
[dd]
> >Environment:
> System: FreeBSD pi.iib.unsam.edu.ar 4.6.2-RELEASE-p2 FreeBSD 4.6.2-RELEASE-p2 #0: Mon Sep 30 18:27:57 ART 2002 root@pi.iib.unsam.edu.ar:/usr/obj/usr/src/sys/PI i386
Please read pkg-message in your port directory:

4 Setup problems
----------------

If the setup complains about a missing file
"setup.ins", it's time to upgrade your FreeBSD system
to the lastest version. You will encounter this bug
only if your OS is older than FreeBSD 4.6 STABLE.
4.6 RELEASE is still affected.

-- 
NEVE-RIPE
Ukrainian FreeBSD User Group
http://uafug.org.ua/
Comment 3 Fernan Aguero 2002-10-08 18:13:35 UTC
+----[ Asi hablaba Alexandr Kovalenko (never@nevermind.kiev.ua):
|
| Hello, Fernan Aguero!
| 
| On Tue, Oct 08, 2002 at 11:39:00AM -0300, you wrote:
| 
| > >Number:         43828
| > >Category:       ports
| > >Synopsis:       OpenOffice setup fails due to missing setup.ins
| [dd]
| > >Environment:
| > System: FreeBSD pi.iib.unsam.edu.ar 4.6.2-RELEASE-p2 FreeBSD 4.6.2-RELEASE-p2 #0: Mon Sep 30 18:27:57 ART 2002 root@pi.iib.unsam.edu.ar:/usr/obj/usr/src/sys/PI i386
| Please read pkg-message in your port directory:
| 
| 4 Setup problems
| ----------------
| 
| If the setup complains about a missing file
| "setup.ins", it's time to upgrade your FreeBSD system
| to the lastest version. You will encounter this bug
| only if your OS is older than FreeBSD 4.6 STABLE.
| 4.6 RELEASE is still affected.
|
+----]

Sorry. My fault. 

Fernan

-- 
F e r n a n   A g u e r o
http://genoma.unsam.edu.ar/~fernan
Comment 4 Martin Blapp freebsd_committer 2002-10-09 09:20:14 UTC
State Changed
From-To: open->closed

4.6.2-RELEASE still had the bug. pkg_message is now fixed and 
shows 4.6.2-RELEASE as buggy.